<?php
require ('authentication_manager.php');
?>
<div class="siteannounce"><img src="inc/images/ok.gif" align="absmiddle" /> 这里是网站管理后台！请仔细研究！！！请仔细研究！！！</div>
<div class="text">
　　毋庸置疑，这是一款可以给你惊喜的开源程序，你可以用它单独建造一个论坛、一个文章系统、或者一个分类信息站，甚至，全部都要，只要你启动所有模板发挥作用。<br />
　　每一款模板，可以共享或只分配其对应的版区分类，当启用论坛模板时，那就是一个论坛站；当启用分类信息模板时，那就成了信息站；当同时存在时，一个全能站就轻松实现了。
</div>
<div class="text">
程序名称：162100论坛（套装）<br />
作者：162100.com<br />
邮箱：162100.com@163.com<br />
网址：http://www.162100.com<br />
演示：http://info.162100.com<br />
ＱＱ：184830962<br />
声明：仅供个人使用，禁止侵犯版权或程序转发的行为
</div>
<div class="text">
<strong>管理面板</strong>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td>基础管理员登陆后点头像图标：<strong>小钥匙</strong><img src="inc/images/manager_base.gif" width="18" height="16" />图标进入此后台页面。</td>
  </tr>
  <tr>
    <td>管理员登陆后点头像图标：<strong>小钥匙<img src="inc/images/manager.gif" width="18" height="16" /></strong>图标进入此后台页面。</td>
  </tr>
  <tr>
    <td>栏目版主登陆后点头像图标：<img src="inc/images/admin.gif" width="16" height="16" />或<img src="inc/images/admin_big.gif" width="16" height="16" />版进入此后台页面。</td>
  </tr>
</table>
</div>
<div class="text">
<p><strong>在线帮助</strong><br />
  <a href="http://www.162100.com/help/162100FIcode.html" target="_blank">在线帮助文档</a><br />
  <a href="member.php?get=mess&username=admin" target="_blank">管理员信箱</a></p>
</div>
<div class="text">
<p><strong>程序提示</strong>  <br />
  提示：最先配置<a href="?get=sql">数据库参数</a>，建立数据表后即可正常使用。<br />
  升级地址：<a href="http://download.162100.com" target="_blank">http://download.162100.com</a><br />
  反馈请至：<a href="http://bbs.162100.com/" target="_blank">http://bbs.162100.com/</a>，QQ：184830962<br />
  程序测试时间有限，使用中难免有误，强烈希望网友及时反馈以便更正。</p>
</div>
<div class="text">
<p><strong>版权声明</strong><br />
  162100论坛（套装）系统为免费程序，您可以下载获得本程序并免费使用，禁止侵犯版权或程序转发的行为。否则我方有追究责任的权利。<br />
  使用者如使用、撷取162100论坛（套装）系统的整体或部分程序，都应在您的网页中标记我方版权信息、或链接信息。<br />
  使用者对下载、安装、使用或转载本程序而造成的纠纷或违规行为自承担全部责任。<br />
  使用者请在首页标注http://www.162100.com友情链接，否则您将不会得到更多的技术支援。</p>
</div>
<div class="text">
<p><strong>服务器系统信息</strong><br />
操作系统：<?php echo php_uname('s').php_uname('r'); ?><br />
PHP版本：<?php echo PHP_VERSION; ?><br />
MySQL版本：<?php 
if (!isset($sql['db_err'])) {
  db_conn();
}
if ($sql['db_err'] == '') {
  echo mysql_get_server_info(); 
} else {
  echo '未知';
}

@mysql_close();
?><br />
Apache版本：<?php 
if (function_exists('apache_get_version')) {
  $version = @ apache_get_version();
  echo $version ? $version : '未取到';
  unset($version);
} else {
  echo '无法获取';
}
?></p>
</div>

<div class="text">
<p><strong>客户端信息</strong><br />
<?php
 // 作用取得客户端的ip、地理信息、浏览器、本地真实IP
  
  ////获得访客浏览器类型
  function GetBrowser(){
   if(!empty($_SERVER['HTTP_USER_AGENT'])){
    $br = $_SERVER['HTTP_USER_AGENT'];
    if (preg_match('/MSIE/i',$br)) {    
               $br = 'MSIE';
             }elseif (preg_match('/Firefox/i',$br)) {
     $br = 'Firefox';
    }elseif (preg_match('/Chrome/i',$br)) {
     $br = 'Chrome';
       }elseif (preg_match('/Safari/i',$br)) {
     $br = 'Safari';
    }elseif (preg_match('/Opera/i',$br)) {
        $br = 'Opera';
    }else {
        $br = 'Other';
    }
    return $br;
   }else{return "获取浏览器信息失败！";} 
  }
  
  ////获得访客浏览器语言
  function GetLang(){
   if(!empty($_SERVER['HTTP_ACCEPT_LANGUAGE'])){
    $lang = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
    $lang = substr($lang,0,5);
    if(preg_match("/zh-cn/i",$lang)){
     $lang = "简体中文";
    }elseif(preg_match("/zh/i",$lang)){
     $lang = "繁体中文";
    }else{
        $lang = "English";
    }
    return $lang;
    
   }else{return "获取浏览器语言失败！";}
  }
  
   ////获取访客操作系统
  function GetOs(){
   if(!empty($_SERVER['HTTP_USER_AGENT'])){
    $OS = $_SERVER['HTTP_USER_AGENT'];
      if (preg_match('/win/i',$OS)) {
     $OS = 'Windows';
    }elseif (preg_match('/mac/i',$OS)) {
     $OS = 'MAC';
    }elseif (preg_match('/linux/i',$OS)) {
     $OS = 'Linux';
    }elseif (preg_match('/unix/i',$OS)) {
     $OS = 'Unix';
    }elseif (preg_match('/bsd/i',$OS)) {
     $OS = 'BSD';
    }else {
     $OS = 'Other';
    }
          return $OS;  
   }else{return "获取访客操作系统信息失败！";}   
  }
?>
  
操作系统：<?php echo GetOs(); ?><br />
您的IP：<?php echo user_ip(); ?><br />
浏览器类型：<?php echo GetBrowser(); ?><br />
浏览器语言：<?php echo GetLang(); ?></p>
</div>
